1
голосов
3ответов
13357 просмотров

Не могу получить загрузчик zend для загрузки классов только под wamp

Я впервые пробую использовать классы фреймворка zend.Я заинтересован в использовании некоторых индивидуальных классов на данный момент. Читая документацию и некоторые другие вопросы здесь и в блогах, я пробовал три способа загрузки классов //attempt 1 - using zend loader require_once('lib...

-1
голосов
1ответов
359 просмотров

how to add a second path to the same namespace in the zend autoloader

We are working on a new zend framework project and most things are going fine with the bootstrap: <?php class Bootstrap extends Zend_Application_Bootstrap_Bootstrap { protected function _initAutoload() { $autoloader = new Zend_Application_Module_Autoloader(array( ...

0
голосов
1ответов
113 просмотров

How to upgrade Zend_Loader from 1.7 to 1.8?

I have been using this, and it works fine in 1.7, but not in 1.8. require_once('Zend/Loader.php'); Zend_Loader::registerAutoload(); It says it's deprecated, and that I should use Zend_Loader_Autoloader instead, but I can't seem to get it to work. Any suggestions?

0
голосов
2ответов
2109 просмотров

Zend_Loader не может найти мой файл?

Я следую этому руководству по Zend Forms. Я скопировал его дословно и получил эту ошибку Неустранимая ошибка: класс forms_ContactForm не найден в /Quickstart/application/controllers/IndexController.php в строке 10 Это заставило меня поверить, что он не загружается в классе, поэтому я...